package cz.muni.fi.pb162.task3;

public interface WatchingMovie
{
    /**
     * @return length in minutes
     */
    int getLength();
    
    /**
     * @param nPersons number of people viewing the movie together
     * @return price of viewing the movie by a group of people
     */
    double getCost(int nPersons);

    /**
     * @return price per one minute of the movie
     */
    double getCostPerMinute(int nPersons);
    
    /*
     * JAVA 8!
     */
    public static final int DEFAULT_LENGTH = 100;
    
    default void log(String str) {
        System.out.println("WatchingMovie: " + str);
    }
    
    static void log2(String str) {
        System.out.println("WatchingMovie2: " + str);
    }
}
